What is MyCameraSoundMaker?

MyCameraSoundMaker is a simple utility software program for creating MyCamera Sounds for Canon cameras that support the My Camera function. You can use the utility to record audio from the microphone on your computer or load existing audio data, adjust the volume and other settings, and convert to a data type able to be read by the camera. The utility also allows you to add a title to the audio data and store the files in a designated folder.


Features of MyCameraSoundMaker

Recording Function

This records audio from the microphone on your computer.

Audio Editing

You can perform the following editing on the audio recorded from the microphone or from audio data on your computer.

  • Adjust the volume.

  • Change the start and end positions and remove unwanted sections.

  • Convert to an audio format compatible with the MyCameraSound data.

  • Play back the audio.

Editing audio is made easy because MyCameraSoundMaker guides you through the available editing steps based on the specified camera model.

Saving

You can save the audio produced by audio editing as audio files, including assigning a title to the audio. MyCameraSoundMaker automatically selects the My Camera folder on your computer in which to save the audio file.


Camera Model Selection Screen

In certain circumstances, a window for selecting the camera model opens when you run MyCameraSoundMaker. This happens in the following cases.

  • When you run MyCameraSoundMaker for the first time.

  • When you run MyCameraSoundMaker with no camera connected.

  • When you run MyCameraSoundMaker with a camera connected that is different from the camera used previously.

Select the model of camera you are using. This opens the MyCameraSound screen corresponding to the selected camera model in the main window.

Hint:

The available camera models appear in a list.

Select the camera model, then click [OK].

Clicking the [Cancel] button exits from MyCameraSoundMaker.


Basic Operation

The overall sequence of operation is as follows. First, select the tab corresponding to the type of sound you wish to create in MyCameraSoundMaker, then use the [Record...] or [Open...] functions to load an audio file and edit the audio. When you have finished creating all of the sounds, save these using [Save].

Basic operation:

  1. The screen lists the names of the available MyCameraSound sounds for the selected camera model. (For example, “startup sound”, etc.) Select the type of sound you wish to create from these sound names.

  2. Click the [Record...] button to perform recording. Alternatively, click the [Open...] button to open an audio file.

  3. After loading the audio file, use the buttons that appear on the screen to edit the audio track.

  4. Select the [Save] tab and click the [Save] button to save the audio.

See:

Recording audio

Opening an audio file

Editing audio

Saving audio


Recording Audio

Click the [Record...] button to perform recording.

  • Clicking the [Record...] button displays the recording screen. Initially the recording screen displays a [Start] button and [Close] button. Clicking the [Start] button starts recording. Clicking the [Close] button exits without recording anything.

  • While recording, only the [Stop] button is able to be used on the recording screen. Clicking the [Stop] button restores the initial recording screen buttons. Now, clicking the [Close] button returns to the main window and displays the recorded result.

Hint:

If you start recording again when an existing audio track is already present for the selected MySound, a dialog appears asking whether you wish to overwrite the old audio.

Recording stops automatically after 30 seconds.

The audio is recorded using the current MyCameraSound data type at the time recording started. You cannot record if the sound function on your computer is not compatible with this data type.


Opening an Audio File

Click the [Open...] button to open an audio file and load the audio.

  • Clicking the [Open...] button displays an audio file open dialog.

  • Use this dialog to find and select the audio file you wish to open.

  • If you select a file then click the [Open] button, the program opens the file and loads the audio into the main window.

Hints:

If an existing audio track is already present for the selected MySound, a dialog appears asking whether you wish to overwrite the old audio.

You can open uncompressed WAVE data and AIFF data. (These have the .WAV, .AIF, or .AIFF file name extensions.)

The audio loaded from the file is converted to the sampling frequency, number of waveform bits, and channel mode specified for the MyCameraSound audio data.


Editing Audio

Once you have used the [Record...] or [Open...] functions to load an audio data, you can start editing the audio. Use the following series of steps to edit the audio. After familiarizing yourself with these editing functions you can start creating interesting MyCameraSounds to use as the camera's startup sound, shutter sound, operation sound, self-timer sound, and so on.

Basic sequence of steps:

  1. You can use the [Sound Type] button to change the MyCameraSound data.

  2. Use the volume control on the screen to adjust the volume.

  3. Use the start and stop controls on the screen to change the start and stop points for the sound.

  4. You can playback the audio to check how it sounds.

  5. Use the [Cut] button to cut the audio and complete the MyCameraSound.

See:

Changing the sound data

Adjusting the volume

Playing back the audio

Cutting the audio


Changing the Sound Data Type

You can click the [Sound Type] button to modify the audio WAV data.

  • Clicking the [Sound Type] button displays a range of “save time, sampling frequency, number of waveform bits, and channel mode” combinations that are compatible with the MyCameraSound data type. Only one option may be displayed for some sounds.

  • Select the combination you wish to use.

Hints:

The sound types are listed with data types that provide high quality but short recording time at the top and low quality but long recording time at the bottom.

Note that, as the sound quality reduces if you select a data type towards the bottom of the list, you may then not be able to return to the data types at the top. If the message “bit rate or sampling rate insufficient” appears, this means that the number of waveform bits or the sampling rate is to low and you cannot return to that data type. Decide on the data type when you first load the audio.


Adjusting the Volume

Move the volume control on the screen to change the volume.


Playing Back the Audio

You can use the play, stop, and skip buttons to playback the audio. This lets you check what the audio sounds like from your computer.

  • Clicking the play button plays the audio from the position indicated by the sound position control up to the position indicated by the sound end position control.

  • Clicking the stop button stops playback. The sound position control halts at the stop position.

  • Clicking the skip button moves the sound position control back to the position of the sound start position control.


Cutting the Audio

You can use the [Cut] button and the sound start and sound end controls in the main window to cut the audio track. Use this to extract the desired length of audio only so as to fit within the available MyCameraSound storage time.

  • Two different modes are available for moving the sound start position control. One mode allows you to set the start and end positions directly and the other mode restricts the start and end positions to be within the MyCameraSound time limit. Select one of these modes. (The default if you do not select a mode is to set the start and end positions directly.)

Mode for setting start and end positions directly:

  • Use the sound start position control to specify the start position for extracting the audio.

  • Use the sound end position control to specify the end position for extracting the audio.

Mode for setting start and end positions based on time limit:

  • When this mode is selected, the sound start position control moves relative to the sound position control and the sound end position control moves at the time limit position.

  • You can use the sound start position control to set the start position wherever you like. In this case, the sound end position control moves to the time limit position.

  • You can only move the sound end position control to make the audio shorter within the range determined by the time limit.

  • Clicking the [Cut] button removes a section of the audio. You can choose whether to remove the audio before the sound start position control, after the sound end position control, or both.

Hints:

A warning message appears if the audio is too long for the currently selected MyCameraSound. In this case, you cannot save the audio.

Once you use the [Cut] button to cut out part of the audio, you cannot restore the cut section. Be careful when cutting the audio.


Saving the Audio

You can save the audio as a MyCameraSound audio file from the [Save] tab.

  • The names of the sounds that can be saved are checked in the main window. Remove the checkmark from those sounds you do not currently wish to save.

  • Clicking the [Save] button opens a dialog for you to enter the title of the audio you are saving. Enter your desired name (10 characters or less).

  • Clicking the [OK] button saves the audio. A list of the saved audio file names appears. Check the list then click the [OK] button.

Hints:

If the audio for a particular sound could not be saved, the reason is displayed in the main window. Return to the tab for that sound and edit the audio.

For each sound, if a file with the same name as the audio file to be saved already exists, a dialog appears asking whether it is OK to overwrite the old file.